export const useStore = defineStore('main', {
    state: () => {
        return {
            loadingFlag: false, //loading控制,
            token: ""
        }
    },
    getters: {},
    actions: {
        showLoading() {
            this.loadingFlag = true
        },
        hideLoading() {
            this.loadingFlag = false
        },
        setToken(val: any) {
            this.token = val
        }
    },
    persist: {
        enabled: true, // 开启数据缓存
        strategies: [
            {
                // 自定义存储的 key，默认是 store.$id
                key: 'main',
                storage: sessionStorage, //缓存模式 可选 localStorage sessionStorage
                // state 中的字段名，按组打包储存
                paths: ['token'] //需要缓存的字段 与 state中相关联
            }
        ]
    }
})
